## com.rbnb.api
Interface RegisteredInterface

All Known Subinterfaces:
  Client, ClientInterface, Controller, com.rbnb.api.ControllerInterface, PlugIn, PlugInInterface, Sink, SinkInterface, Source, SourceInterface

All Known Implementing Classes:
  ControllerHandle

    public interface RegisteredInterface

Interface for getting registration information.

Classes implementing this interface support the `getRegistered(com.rbnb.api.Rmap)` call.

Since:
  V2.0
Author:
  Ian Brown
Version:
  09/28/2004

Method Summary
`Rmap` `getRegistered(Rmap requestI)` Gets the registration list for this object matching the input hierarchy.

Method Detail

### getRegistered

    Rmap getRegistered(Rmap requestI)
                       throws AddressException,
                              SerializeException,
                              EOFException,
                              IOException,
                              InterruptedException

  Gets the registration list for this object matching the input hierarchy.

  Parameters:
    `requestI` - the request `Rmap`.
  Returns:
    the matching registration information.
  Throws:
    `AddressException` - thrown if there is a problem with an address.
    `SerializeException` - thrown if there is a problem during serialization.
    `EOFException` - thrown if an EOF is encountered while getting the response.
    `IOException` - thrown if there is a problem during I/O.
    `InterruptedException` - thrown if the get is interrupted.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    01/10/2002